#include <iostream>
#include <fstream>

using namespace std;

int main()
{ 
  ifstream ifile("/etc/passwd");
  long taille;

  if (! ifile.is_open()) 
  {
    cout << "Ouverture en lecture du fichier impossible !\n";
    return -1;
  }
 
  // Donc Le pointeur de flux est placé au début du fichier
  // Alors, plaçons nous à la fin du fichier (mais on ne connaît pas sa taille !)
  // Donc, il faut faire un déplacement de 0 octets à partir de la fin
  ifile.seekg(0, ios::end);
  
  // Puis on appelle ftell qui renvoie la position courante, en octets
  // donc sa taille !
  taille = ifile.tellg();
  cout << "Taille du fichier : " << taille << " octets\n";
  
  // Attention le pointeur de flux est maintenant positionné en fin de fichier
  // Il faudrait peut-être le remettre au début :
  ifile.seekg(0, ios::beg);
  
  ifile.close();
  
  return 0;
}
